aboutsummaryrefslogtreecommitdiff
path: root/test/data/sync.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/data/sync.sh')
-rwxr-xr-xtest/data/sync.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/data/sync.sh b/test/data/sync.sh
index 10001bc..2cbcc0a 100755
--- a/test/data/sync.sh
+++ b/test/data/sync.sh
@@ -1,6 +1,8 @@
#/bin/sh
+set -euo pipefail
XKBCONFIGROOT='/usr/share/X11/xkb'
+XLOCALEDIR='/usr/share/X11/locale'
if [ ! -d test/data ]; then
echo "Run this from the top source dir"
@@ -67,3 +69,12 @@ for file in \
; do
cp "$XKBCONFIGROOT/$file" "test/data/$file"
done
+
+for file in \
+ compose.dir \
+ locale.alias \
+ locale.dir \
+ en_US.UTF-8/Compose \
+; do
+ cp "$XLOCALEDIR/$file" "test/data/locale/$file"
+done